Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.drda
Class NetServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.derby.drda.NetServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class NetServlet

extends javax.servlet.http.HttpServlet

This servlet can be used to start Derby Network Server from a remote location.

These servlet configuration parameters are understood by this servlet.

-     portNumber

  - Port number to use. The default is 1527.

-     startNetworkServerOnInit

  - Starts the Derby Network Server at servlet initialization if 'true'.

-     tracingDirectory

  - Directory for trace files

See Also:
  Serialized Form

Constructor Summary
`NetServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Get the form of NetServlet.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Get the form of NetServlet.
`java.lang.String` | `getHtmlLabelledMessageInstance(org.apache.derby.iapi.tools.i18n.LocalizedResource localUtil, java.lang.String key, java.lang.String id)` get an HTML labelled message from the resource bundle file, according to the given key.
`void` | `init(javax.servlet.ServletConfig config)` Initialize the servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetServlet

    public NetServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initialize the servlet. Configuration parameters:

  -     portNumber

    - Port number

  -     host

    - Host name

  -     traceDirectory

    - location of trace directory

  -     startNetworkServerOnInit

    - start the server on initialization

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Get the form of NetServlet. Provides buttons and forms to control the Network server.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Get the form of NetServlet. Provides a buttons and form to control the Network server

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getHtmlLabelledMessageInstance

    public java.lang.String getHtmlLabelledMessageInstance(org.apache.derby.iapi.tools.i18n.LocalizedResource localUtil,
                                                           java.lang.String key,
                                                           java.lang.String id)

  get an HTML labelled message from the resource bundle file, according to the given key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Tue 2010-09-21 16:20:41-0700, from revision 999685
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.6 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.